Bug 1886638 (CVE-2020-8565) - CVE-2020-8565 kubernetes: Incomplete fix for CVE-2019-11250 allows for token leak in logs when logLevel >= 9
Summary: CVE-2020-8565 kubernetes: Incomplete fix for CVE-2019-11250 allows for token ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8565
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1892332 1892333 1892335 1892336 1892337 1887316 1887317 1887318 1888342 1888539 1892334 1895417
Blocks: 1883756
TreeView+ depends on / blocked
 
Reported: 2020-10-09 01:47 UTC by Sam Fowler
Modified: 2021-06-15 13:55 UTC (History)
19 users (show)

Fixed In Version: kubernetes 1.20.0, kubernetes 1.19.6, kubernetes 1.18.14, kubernetes 1.17.16
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in kubernetes. In Kubernetes, if the logging level is to at least 9, authorization and bearer tokens will be written to log files. This can occur both in API server logs and client tool output like `kubectl`. Previously, CVE-2019-11250 was assigned for the same issue for logging levels of at least 4.
Clone Of:
Environment:
Last Closed: 2021-05-19 14:33:32 UTC


Attachments (Terms of Use)

Description Sam Fowler 2020-10-09 01:47:58 UTC
In Kubernetes, if the logging level is to at least 9, authorization and bearer tokens will be written to log files. This can occur both in API server logs and client tool output like `kubectl`.

Previously, CVE-2019-11250 was assigned for the same issue for logging levels of at least 4.

Comment 2 Sam Fowler 2020-10-09 01:54:32 UTC
Upstream Fix:

https://github.com/kubernetes/kubernetes/pull/95316

Comment 3 Sam Fowler 2020-10-09 01:54:36 UTC
Acknowledgments:

Name: the Kubernetes Product Security Committee
Upstream: Patrick Rhomberg (purelyapplied)

Comment 9 errata-xmlrpc 2021-05-19 09:14:37 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Storage 4.7.0 on RHEL-8

Via RHSA-2021:2041 https://access.redhat.com/errata/RHSA-2021:2041

Comment 10 Product Security DevOps Team 2021-05-19 14:33:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8565


Note You need to log in before you can comment on or make changes to this bug.